package com.ytpm.service;

import com.ytpm.agent.param.AdSourceListParam;
import com.ytpm.agent.param.AdSourceParam;
import com.ytpm.agent.view.AgentAdSourceView;
import com.ytpm.general.Result;
import com.ytpm.general.ResultTable;

/**
 * 广告源service
 */
public interface AdSourceService {
    /**
     * 获取广告源列表
     */
    ResultTable<AgentAdSourceView> adSourceList(AdSourceListParam param);

    Result<?> addOne(AdSourceParam param);

    Result<?> updateOne(AdSourceParam param);

    Result<?> deleteOne(Integer adSourceId,String userId);
}
